package models.factory;

import models.entities.*;
import models.repositories.*;

public class FactoryBD extends AbstractFactory {

	@Override
	public IRepositoryAnimal<Animal> createRepositoryAnimal() {
		return new RepositoryAnimal();
	}

	@Override
	public IRepositoryEmployee<Employee> createRepositoryEmployee() {
		return new RepositoryEmployee();
	}

	@Override
	public IRepositoryProcedure createRepositoryProcedure() {
		return new RepositoryProcedure();
	}

}
