package models.repositories;

import java.util.List;

import models.entities.Procedure;

public interface IRepositoryProcedure<Procedure> {

	public void create(Procedure procedure);
	public void remove(Long id);
	public void updateProcedure(Procedure procedure);
	public List<Procedure> all(); 
	public Procedure findProcedureById(Long id);
	
}
