package models.repositories;

import java.util.List;

import play.db.ebean.Model.Finder;

import models.entities.Animal;
import models.entities.Employee;

public class RepositoryEmployee implements IRepositoryEmployee<Employee> {

	public static Finder<Long, Employee> find = new Finder(Long.class, Employee.class);
	
	@Override
	public void create(Employee employee) {
		employee.save();
	}

	@Override
	public List<Employee> all() {
		return find.all();
	}

	@Override
	public Employee findEmployeeById(Long id) {
		return find.ref(id);
	}

}
