package models.subSistemaEmail;

import java.util.Properties;

import models.entities.Email;

public class EmailManager {

	private Properties props;
	private SendMailSSL boundaryMail;

	private void setUpProperties() {
		props.put("mail.smtp.host", "smtp.gmail.com");
		props.put("mail.smtp.socketFactory.port", "465");
		props.put("mail.smtp.socketFactory.class",
				"javax.net.ssl.SSLSocketFactory");
		props.put("mail.smtp.auth", "true");
		props.put("mail.smtp.port", "465");
	}
	
	public EmailManager(){
		this.props = new Properties();
		setUpProperties();
	}
	
	public void sendEmail(Email email) {
		boundaryMail.getInstance().sendMail(email, this.getProps());
	}

	public Properties getProps() {
		return props;
	}

	public void setProps(Properties props) {
		this.props = props;
	}
	
}
