package models.subSistemaEmail;

import models.entities.Email;

public class EmailSubSystemFacade implements IEmailSubSystem {

	public static EmailSubSystemFacade instance;
	
	private EmailSubSystemFacade(){}
	
	public static EmailSubSystemFacade getInstance() {
		if(instance == null) {
			instance = new EmailSubSystemFacade();
		}
		return instance;
	}
	
	@Override
	public void sendEmail(Email email) {
		EmailManager emailManager = new EmailManager();
		
		emailManager.sendEmail(email);
	}

}
