package models.subSistemaEmail;

import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

import models.entities.Email;
 
public class SendMailSSL {
	
	public SendMailSSL getInstance(){
		return new SendMailSSL();
	}
	
	public void sendMail(Email email, Properties properties) {
		
		Session session = Session.getInstance(properties, new GMailAuthenticator(email.getEmployeeEmail(), email.getEmployeePassword()));
 
		try {
 
			Message message = new MimeMessage(session);
			message.setFrom(new InternetAddress(email.getEmployeeEmail()));
			message.setRecipients(Message.RecipientType.TO,
					InternetAddress.parse(email.getEmployeeEmail()));
			message.setSubject(email.getTitle());
			message.setText(email.getMensage());

			Transport.send(message);

			System.out.println("Done");
				
		} catch (MessagingException e) {
			throw new RuntimeException(e);
		}
	}

}
